### Function

# FwupdPlugin Firmware flag_from_string

since: 1.5.0

#### Declaration [src]

    FuFirmwareFlags
    fu_firmware_flag_from_string (
      const gchar* flag
    )

#### Description [src]

Converts a string to a `FuFirmwareFlags`.

Available since: 1.5.0

#### Parameters

`flag`

  Type: `const gchar*`

  A string, e.g. `dedupe-id`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuFirmwareFlags`

Enumerated value.